/*   McD-CBV  .97 -> .98 Conversion Utility   */
/* (C) Matt Davis, 1995 - All Rights Reserved */

ARG Parm

IF Parm <> '/ALLRIGHT' THEN DO
                            SAY '[A[KMcD-CBV .97 > .98  Conversion Program (c) 1995, Matt Davis'
                            SAY ''
                            SAY 'This proggie MUST be run from your McD-CBV.90 directory!'
                            SAY 'In order to get this proggie to run, you also must use the /Allright'
                            SAY 'parameter.  This way I know you have read this <G>'
                            SAY ''
                            EXIT
                       END

Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Call SysLoadFuncs

ADDRESS CMD '@ECHO OFF'

SAY ''
SAY ''
SAY ' McD-CBV v.97 --> .98 Conversion Utility .20             ((C) 1995, Matt Davis)'
SAY ''
ADDRESS CMD 'mkdir .\Data\Archives >NULL'

SAY '[A Archiving : Verified User Databases                                            '
ADDRESS CMD 'copy .\Data\CBV-Verified_Database .\Data\Archives > NULL'
ADDRESS CMD 'copy .\Data\CBV-Verified_Database.Temp .\Data\Archives > NULL'
ADDRESS CMD 'copy .\Data\CBV-Verified_Database.Old  .\Data\Archives > NULL'
SAY '[A Archiving : Translation file              '
ADDRESS CMD 'copy .\Data\CBV-Translate         .\Data\Archives > NULL'
SAY '[A Archiving : Bad Areacode list             '
ADDRESS CMD 'copy .\Data\CBV-Bad_AreaCodes     .\Data\Archives > NULL'
SAY '[A Archiving : Bad Prefix list               '
ADDRESS CMD 'copy .\Data\CBV-Bad_Prefixes      .\Data\Archives > NULL'
SAY '[A Archiving : Configuration Data            '
ADDRESS CMD 'copy .\Data\CBV-Configuration.97  .\Data\Archives > NULL'
SAY '[A Archiving : Sysop List                    '
ADDRESS CMD 'copy .\Data\CBV-Sysop_List        .\Data\Archives > NULL'
SAY '[A Archiving : Group Control File            '
ADDRESS CMD 'copy .\Data\CBV-Group_Control     .\Data\Archives > NULL'
SAY '[A Archiving : Exempt User list              '
ADDRESS CMD 'copy .\Data\CBV-Exempt_Users      .\Data\Archives > NULL'
SAY ' Removing  : Zippy Configuration File      '
Call SysFileDelete '.\Data\CBV-Zippy_Config'
SAY ' Converting: McD-CBV Configuration         '
ADDRESS CMD 'copy .\Data\CBV-Configuration.97  .\Data\CBV-Configuration.98 > NULL'
SAY '[A Converting: System Language File          '

i=0
Call Stream '.\Languages\System.Language.97','c','Open Read'
Do While Lines('.\Languages\System.Language.97') > '0'
   i=i+1
   Parse Value LineIn('.\Languages\System.Language.97') With Influx.i
End
Influx.0 = i

Influx.1 =";"
Influx.2 ="; System Language File .98"
Influx.3 =";"
Influx.9 ="[009] Please select a language      = \r{CL[10A[42C{CL  [0;32mPlease select a {FBlanguage[0;32m to use[0;32m:\r\n[42C{CL\n"
Influx.10="[010] Language Menu String          = \r[42C{CL  [0;34m({FG{#}[0;34m) [0;36m{LANG}\r\n"
Influx.11="[011] Language menu prompt          = \r[42C{CL\r\n[42C{CL  [0;36mWhich One? {FA>[0;34m>{FG"
Influx.13=Influx.12
Influx.24="[024] Cannot Bother This User       = {B1\r{CL Sysop has told me not to bother this user!!\r\n"
Influx.25="[025] Cannot Bother This Group      = {B1\r{CL Sysop has told me not to bother this group!!\r\n"
Line12a  ="[012] Clear Language Menu           = [11;1H\n\r[42C{CL    Ŀ\n\r[42C{CL                 \n\r[42C{CL     "
Line12b  ="                \n\r[42C{CL            Development\n\r[42C{CL                    \n\r[42C{CL    ;\n\r[42C{CL\n{CL\n{CL\n{CL\n{CL\n{CL\n{CL\n{CL[3A\r"
Influx.12=Line12a''Line12b

rc=SysFileDelete('.\Languages\System.Language.98')

Do i=1 to 29
   NumHold=''
   If i>3 Then Do
      NumHold='['
      rc=Length(i)
      rc=3-rc
      Do c=1 to rc
         NumHold=NumHold'0'
      End
      NumHold=NumHold''i']'
   End
   Call LineOut '.\Languages\System.Language.98',OverLay(NumHold,Influx.i,1)
End
Do i=30 to Influx.0
   Call LineOut '.\Languages\System.Language.98',Influx.i
End

SAY '                   (( Searching for Language Files... ))[K'
  Lang.0 = '0'
  Call SysFileTree '.\Languages\*.97.Language','Lang','FSO','*-***'
        Do i = 1 to Lang.0
           If i = 1 then SAY '[A'
           SAY ' Found     : 'Lang.i'[K'
           LPath.i = Lang.i
           rc=Stream(Lang.i,'c','Open Read')
             Parse Value LineIn(Lang.i) With .
             Parse Value LineIn(Lang.i) With .
             Parse Value LineIn(Lang.i) With Type '=' Data
               Description.i = Strip(Data)
           rc=Stream(Lang.i,'c','Close')
           SAY '[A Converting: 'Description.i' (.97) to 'Description.i' (.98)[K'
           Lung.i = Lang.i
           rc=LastPos('.97',Lang.i)
           rc=Overlay('.98',Lang.i,rc)
           Call Stream Lung.i,'c','Open Read'
           c=0
           Do While Lines(Lung.i) > '0'
              c=c+1
              Parse Value LineIn(Lung.i) With Innards.c
           End
           ADDRESS CMD 'Copy 'Lang.i' 'Lang.i'.Old >NULL'
           Call SysFileDelete Lang.i
           Innards.0 = c
           Innards.1 = "; McD-CBV .98 Beta language file - Do not change order or location of lines."
           Innards.2 = ";"
           Innards.6 = "[006]                               = "
           Innards.7 = "[007]                               = "
           Innards.8 = "[008]                               = "
           Innards.9 = "[009]                               = "
           Innards.10= "[010]                               = "
           Innards.11= "[011] LocalSysopIsTesting           = \r{CL{FGLocal Login code is enabled - overriding security.\r"
           Innards.12= "[012]                               = "
           Innards.13= "[013]                               = "
           Innards.22= "[022] FilteringString               = {B1\r{CL[0;32mFiltering your {FF{LOCATION} [0;32mphone...."
           Innards.23= "[023]                               = "
           Innards.24= "[024]                               = "
           Innards.25= "[025]                               = "
           Innards.26= "[026]                               = "
           Innards.27= "[027]                               = "
           Innards.28= "[028]                               = "
           Innards.29= "[029]                               = "
           Innards.30= "[030] AskPasswordPrompt             = {B1\r{CL[0;36mWould you like to use a {FCpassword [0;36mto be auto-upgraded? [0;34m[{FGY{F9/[0mn[0;34m] [{FFY[0;34m]{FF[2D"
           Innards.31= "[031] PleaseEnterPasswordString     = {B1\r{CL{F9[[0mTry {FG{PASS_CNT}{F9]  [0;32mPlease enter your {FBauto-upgrade [0;32mpassword: {B1"
           Innards.32= "[032] EnterPasswordInputPrompt      = {B2                        [23D{F2"
           Innards.33= "[033] PassCorrect_Upgrading         = {B1\r{CL{FD [0;36mAuto-Upgrade Password [0;34m- {FFCorrect!   [0;34m({FBYou are being upgraded[0;34m)[23D"
           Innards.34= "[034] AfterUpgrade                  = {B1{FBYou have been\r\n\n"
           Innards.35= "[035]                               = "
           Innards.36= "[036]                               = "
           Do c=1 to Innards.0
              Call LineOut Lang.i,Innards.c
           End
        End

ADDRESS CMD 'Detach Init-CBV.98.Cmd QUIET'
SAY '[A Updated   : 'Overlay('\Menus\AtStart.Cmd',Directory(),LastPos('\',Directory()))'[K'

SAY '-------------------------------------------------------------------------------'
SAY ''
SAY " Your McD-CBV .97 data files have converted for McD-CBV .98!  Don't forget"
SAY ' to run Init-CBV.98.Cmd and restart AdeptXBBS!'
SAY ''

EXIT
